# Class JSVAppletPro

java.lang.Object
jspecview.appletjs.JSVApplet
jspecview.appletjs.JSVAppletPro

All Implemented Interfaces:
  `JSInterface, AppletFrame, JSVAppletInterface`

public class JSVAppletPro extends JSVApplet
A signed applet that has an Advanced... menu item that pulls up a MainFrame

Author:
  Bob Hanson St. Olaf College hansonr@stolaf.edu

## Field Summary

### Fields inherited from class JSVApplet

`app, viewer, viewerOptions`

## Constructor Summary

Constructors
Constructor
Description
`JSVAppletPro(Map<String,Object> viewerOptions)`

## Method Summary

Modifier and Type
Method
Description
`void`
`doExitJmol()`
`String`
`getAppletInfo()`
Get Applet information
`void`
`init()`
Initializes applet with parameters and load the `JDXSource` called by the browser
`boolean`
`isPro()`
`void`
`script(String script)`
JSVAppletPro uses "script()" for executing a real script, not a parameter initialization.

### Methods inherited from class JSVApplet

`addHighlight, cacheFileByName, cachePut, callToJavaScript, checkScript, createMainPanel, destroy, export, exportSpectrum, getApp, getCoordinate, getDocumentBase, getFullName, getJSVPanel, getParameter, getParameter, getPropertyAsJavaObject, getPropertyAsJSON, getSolnColour, initViewer, isSigned, loadInline, newWindow, openFile, openFileAsyncSpecial, openFileAsyncSpecialType, print, processKeyEvent, processMouseEvent, processTwoPointGesture, removeAllHighlights, removeHighlight, repaint, reversePlot, runScript, runScriptNow, setDisplay, setDropTargetListener, setFilePath, setPanelVisible, setScreenDimension, setSpectrumNumber, setStatusDragDropped, startHoverWatcher, syncScript, toggleCoordinate, toggleGrid, toggleIntegration, togglePointsOnly, update, validate, validateContent, writeStatus`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JSVAppletPro

public JSVAppletPro(Map<String,Object> viewerOptions)

## Method Details

### init

public void init()
Description copied from class: `JSVApplet`
Initializes applet with parameters and load the `JDXSource` called by the browser

Overrides:
  `init` in class `JSVApplet`

### isPro

public boolean isPro()

Specified by:
  `isPro` in interface `JSVAppletInterface`
Overrides:
  `isPro` in class `JSVApplet`

### getAppletInfo

public String getAppletInfo()
Description copied from class: `JSVApplet`
Get Applet information

Specified by:
  `getAppletInfo` in interface `AppletFrame`
Overrides:
  `getAppletInfo` in class `JSVApplet`
Returns:
  the String "JSpecView Applet"

### script

public void script(String script)
JSVAppletPro uses "script()" for executing a real script, not a parameter initialization. "runScript()" will also work

Overrides:
  `script` in class `JSVApplet`

### doExitJmol

public void doExitJmol()

Specified by:
  `doExitJmol` in interface `AppletFrame`
Overrides:
  `doExitJmol` in class `JSVApplet`